Bug 23947 - Phase out jquery.cookie.js: Authority merge
Summary: Phase out jquery.cookie.js: Authority merge
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23944
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-01 18:12 UTC by Owen Leonard
Modified: 2020-02-17 20:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 23947: Phase out jquery.cookie.js: Authority merge (3.00 KB, patch)
2019-11-01 18:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23947: Phase out jquery.cookie.js: Authority merge (3.05 KB, patch)
2020-01-26 06:34 UTC, David Nind
Details | Diff | Splinter Review
Bug 23947: Phase out jquery.cookie.js: Authority merge (3.10 KB, patch)
2020-01-29 07:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-11-01 18:12:41 UTC
The authority merge process sets cookes to track which records are being merged. This process should use the newer cookie library, js-cookie.
Comment 1 Owen Leonard 2019-11-01 18:21:23 UTC Comment hidden (obsolete)
Comment 2 David Nind 2020-01-26 06:34:52 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2020-01-29 07:26:12 UTC
Created attachment 98052 [details] [review]
Bug 23947: Phase out jquery.cookie.js: Authority merge

This patch updates the JavaScript which sets cookies during the
authority merge process so that it uses the new js-cookie library.

To test, apply the patch and perform a search in the authority module
which will return multiple results.

 - Select "Merge" from the Actions menu next to any result.
   - A message should appear at the top of the page: "Merging with
     authority: <title>".
   - Click "Cancel merge." The message should disappear.
 - Select a record to merge again.
   - Select another record.
   - The page should redirect to the authority merge page.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-01-29 09:10:27 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-02-10 22:56:31 UTC
Backported to 19.11.x branch for 19.11.03
Comment 6 Lucas Gass 2020-02-14 20:16:55 UTC
backported to 19.05.x for 19.05.08
Comment 7 Hayley Mapley 2020-02-17 20:30:32 UTC
Enhancement will not be backported to 18.11.x series.